Subject: Re: bug#18793: 24.4; zero width rectangular selection displaces text

From: Stefan Monnier <[email-masked]>
Date: Wed, 22 Oct 2014 20:55:56 -0400

> You could change the cursor to a vertical bar, and change its color to
> match the color of the region.

The main use is not when the rectangle is completely empty (i.e. when
mark = point) but when the rectangle has 0 width, so you see where the
mark is and you see on each line the 0-width boundary of the rectangle.

So changing the cursor doesn't quite give me what I want.

> Another possibility is to make a composition of the character at point
> and some zero-width character (which we display as a thin space).

Hmm... that's a possibility.  Sounds costly (compared to "draw a line"),
but maybe it could work.

        Stefan